Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.messages
Class XMLMessage

    java.lang.Object
      madkit.kernel.Message
          madkit.messages.XMLMessage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class XMLMessage

extends Message

A message that carries a XML document. You can set the document either through a string or a pre-parsed DOM tree. This class is optimized in the sense that it will change representations only if needed (i.e. constructed with a String and used through the getDocument() accessor). You need the xerces XML parser to use this class.

See Also:
  Serialized Form

Field Summary
`protected Document` | `doccontent` The xml content as a Document (null if the content is defined as a string)
`protected java.lang.String` | `strcontent` The xml content as a String (null if the content is defined as a Document)

Constructor Summary
`XMLMessage(Document d)` Setup a XMLMessage with the xml document setup as a Document
`XMLMessage(java.lang.String s)` Setup a XMLMessage with the xml document setup as a string.

Method Summary
`Document` | `getDocument()` Returns the XMLMessage content as a document.
`java.lang.String` | `getString()` Returns the XMLMessage content as a string.
`java.lang.String` | `toString()` This method returns a string for the XML document set in this message.

Methods inherited from class madkit.kernel.Message
`clone, getCreationDate, getReceiver, getSender`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### doccontent

    protected Document doccontent

  The xml content as a Document (null if the content is defined as a string)

### strcontent

    protected java.lang.String strcontent

  The xml content as a String (null if the content is defined as a Document)

Constructor Detail

### XMLMessage

    public XMLMessage(java.lang.String s)

  Setup a XMLMessage with the xml document setup as a string. The string is not validated at construction

  Parameters:
    `s` - A valid (i.e. parseable) text XML document

### XMLMessage

    public XMLMessage(Document d)

  Setup a XMLMessage with the xml document setup as a Document

  Parameters:
    `d` - A well-formed DOM object

Method Detail

### getString

    public java.lang.String getString()

  Returns the XMLMessage content as a string. If the String constructor was called, this accessor just returns the initial string. If the Document constructor was used, it calls Xerces to get a textual representation

  Returns:
    A stringified version of the message content

### getDocument

    public Document getDocument()

  Returns the XMLMessage content as a document. If the Document constructor was called, this accessor just returns the initial document. If the String constructor was used, it calls Xerces to parse it into a DOM tree.

  Returns:
    A DOM object for the message content

### toString

    public java.lang.String toString()

  This method returns a string for the XML document set in this message. Warning, if the document is directly stored as a Document and not a string, this will just call the toString() method on the Document object.

  Overrides:
    `toString` in class `Message`
  Returns:
    A stringified version of the document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.